### Method

# Ide TreeModel get_path_for_node

#### Declaration

    GtkTreePath*
    ide_tree_model_get_path_for_node (
      IdeTreeModel* self,
      IdeTreeNode* node
    )

#### Description

Gets the `GtkTreePath` pointing at `node`.

Available since: | 3.32

#### Parameters

`node` | `IdeTreeNode`
| An `IdeTreeNode`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreePath`
| A new `GtkTreePath`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.